# stl_set.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_set.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::set< _Key, _Compare, _Alloc >
    A standard container made up of unique keys, which can be retrieved in logarithmic time. More...

## Defines

- #define _STL_SET_H

## Functions

- template<typename _Key, typename _Compare, typename _Alloc> bool std::operator!= (const set< _Key, _Compare, _Alloc > &__x, const set< _Key, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Compare, typename _Alloc> bool std::operator< (const set< _Key, _Compare, _Alloc > &__x, const set< _Key, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Compare, typename _Alloc> bool std::operator<= (const set< _Key, _Compare, _Alloc > &__x, const set< _Key, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Compare, typename _Alloc> bool std::operator== (const set< _Key, _Compare, _Alloc > &__x, const set< _Key, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Compare, typename _Alloc> bool std::operator> (const set< _Key, _Compare, _Alloc > &__x, const set< _Key, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Compare, typename _Alloc> bool std::operator>= (const set< _Key, _Compare, _Alloc > &__x, const set< _Key, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Compare, typename _Alloc> void std::swap (set< _Key, _Compare, _Alloc > &__x, set< _Key, _Compare, _Alloc > &__y)